cd /Users/iragm01/Dropbox/MonetaryPolicyAndInequality/Empirics/Replication
use Data/SCF_2019.dta, clear 

local SCRATCHDIR = "Scratch/"



//define our version of assets
// for old guys (over 60) let them have their retirement accounts as liquid 
gen total_cash = liq + cds
gen total_equity = stocks + stmutf + 0.5 * comutf
replace total_equity = equity if age >= 60
gen total_bond = tfbmutf + gbmutf + obmutf + 0.5 * comutf
replace total_bond = fin - total_cash - equity - (savbnd + cashli + othma + othfin) if age >= 60
gen total_fin = total_cash + total_equity + total_bond
gen total_non_fin = houses
gen total_mort = nh_mort + resdbt + heloc
gen real_estate = houses + oresre 



gen mort2income = total_mort / income
gen hasmort = total_mort > 0
summ mort2income [aw=wgt] if hasmort & age > 25 & age < 45


xtile networth_5 = networth [aw=wgt], nq(5)
xtile income_5 = income [aw=wgt], nq(5)
xtile age_5 = age [aw=wgt], nq(5)


sort networth_5
by networth_5: tab hasmort [aw=wgt]

sort income_5
by income_5: tab hasmort [aw=wgt]



save `SCRATCHDIR'temp, replace
drop if age > 60 | age  < 25 | ssretinc > 0
gen transfershare = transfothinc/income
summ transfershare [aw=wgt] if income_5 == 1

gen zerowage = wageinc < 1000
summ zerowage [aw=wgt] if income_5 == 1

