close all;
clear all;
clc;

addpath('aux_files')

FedColors;


%---
f = figure();
f.Position = [0  0 800 200];

swlt = readtable('Scratch/scatter_networth_htm.csv');
sinc = readtable('Scratch/scatter_income_htm.csv');
sage = readtable('Scratch/scatter_age_htm.csv');


subplot(1,3,1);
p = plot(swlt.networth_5, 100*swlt.HTM);
xlabel('Net worth quintile',"FontSize",14,'Interpreter','latex')
ylabel('Percent',"FontSize",14,'Interpreter','latex')
p.Color = ColorPalette(1,:);
p.Marker = 'o';
p.MarkerFaceColor = p.Color;
ylim([0 80])
xlim([0.5 5.5])
set(gca,'XTick',1:5);
set(gca,'TickLabelInterpreter','latex');


subplot(1,3,2);
p = plot(sinc.income_5, 100*sinc.HTM);
xlabel('Income quintile',"FontSize",14,'Interpreter','latex')
ylabel('Percent',"FontSize",14,'Interpreter','latex')
p.Color = ColorPalette(1,:);
p.Marker = 'o';
p.MarkerFaceColor = p.Color;
ylim([0 80])
xlim([0.5 5.5])
set(gca,'XTick',1:5);
set(gca,'TickLabelInterpreter','latex');


subplot(1,3,3);
p = plot(sage.age, 100*sage.HTM);
xlabel('Age',"FontSize",14,'Interpreter','latex')
ylabel('Percent',"FontSize",14,'Interpreter','latex')
p.Color = ColorPalette(1,:);
p.Marker = 'o';
p.MarkerFaceColor = p.Color;
ylim([0 80])
set(gca,'TickLabelInterpreter','latex');

set(gcf,'color','w')
set(gcf, 'PaperPositionMode', 'auto');
print('Plots/Fig1a','-depsc');



%---

f = figure();
f.Position = [0  0 800 200];

swlt = readtable('Scratch/scatter_networth_HousingShare.csv');
sinc = readtable('Scratch/scatter_income_HousingShare.csv');
sage = readtable('Scratch/scatter_age_HousingShare.csv');

subplot(1,3,1);
p = plot(swlt.networth_5, 100*swlt.HousingShare);
xlabel('Net worth quintile',"FontSize",14,'Interpreter','latex')
ylabel('Percent',"FontSize",14,'Interpreter','latex')
p.Color = ColorPalette(1,:);
p.Marker = 'o';
p.MarkerFaceColor = p.Color;
ylim([0 80])
xlim([0.5 5.5])
a = gca();
a.XTick = 1:5;
set(gca,'TickLabelInterpreter','latex');

subplot(1,3,2);
p = plot(sinc.income_5, 100*sinc.HousingShare);
xlabel('Income quintile',"FontSize",14,'Interpreter','latex')
ylabel('Percent',"FontSize",14,'Interpreter','latex')
p.Color = ColorPalette(1,:);
p.Marker = 'o';
p.MarkerFaceColor = p.Color;
ylim([0 80])
xlim([0.5 5.5])
set(gca,'XTick',1:5);
set(gca,'TickLabelInterpreter','latex');


subplot(1,3,3);
p = plot(sage.age, 100*sage.HousingShare);
xlabel('Age',"FontSize",14,'Interpreter','latex')
ylabel('Percent',"FontSize",14,'Interpreter','latex')
p.Color = ColorPalette(1,:);
p.Marker = 'o';
p.MarkerFaceColor = p.Color;
ylim([0 80])
set(gca,'TickLabelInterpreter','latex');


set(gcf,'color','w')
set(gcf, 'PaperPositionMode', 'auto');
print('Plots/Fig1c','-depsc');




%---
f = figure();
f.Position = [0  0 800 200];

swlt = readtable('Scratch/scatter_networth_EquityShare.csv');
sinc = readtable('Scratch/scatter_income_EquityShare.csv');
sage = readtable('Scratch/scatter_age_EquityShare.csv');

subplot(1,3,1);
p = plot(swlt.networth_5, 100*swlt.EquityShare);
xlabel('Net worth quintile',"FontSize",14,'Interpreter','latex')
ylabel('Percent',"FontSize",14,'Interpreter','latex')
p.Color = ColorPalette(1,:);
p.Marker = 'o';
p.MarkerFaceColor = p.Color;
xlim([0.5 5.5])
a = gca();
a.XTick = 1:5;
ylim([0 30])
set(gca,'TickLabelInterpreter','latex');


subplot(1,3,2);
p = plot(sinc.income_5, 100*sinc.EquityShare);
xlabel('Income quintile',"FontSize",14,'Interpreter','latex')
ylabel('Percent',"FontSize",14,'Interpreter','latex')
p.Color = ColorPalette(1,:);
p.Marker = 'o';
p.MarkerFaceColor = p.Color;
ylim([0 30])
xlim([0.5 5.5])
set(gca,'XTick',1:5);
set(gca,'TickLabelInterpreter','latex');

subplot(1,3,3);
p = plot(sage.age, 100*sage.EquityShare);
xlabel('Age',"FontSize",14,'Interpreter','latex')
ylabel('Percent',"FontSize",14,'Interpreter','latex')
p.Color = ColorPalette(1,:);
p.Marker = 'o';
p.MarkerFaceColor = p.Color;
ylim([0 30])
set(gca,'TickLabelInterpreter','latex');


set(gcf,'color','w')
set(gcf, 'PaperPositionMode', 'auto');
print('Plots/Fig1d','-depsc');



%---
f = figure();
f.Position = [0  0 800 200];

swlt = readtable('Scratch/scatter_networth_MortShare.csv');
sinc = readtable('Scratch/scatter_income_MortShare.csv');
sage = readtable('Scratch/scatter_age_MortShare.csv');

subplot(1,3,1);
p = plot(swlt.networth_5, 100*swlt.MortShare);
xlabel('Net worth quintile',"FontSize",14,'Interpreter','latex')
ylabel('Percent',"FontSize",14,'Interpreter','latex')
p.Color = ColorPalette(1,:);
p.Marker = 'o';
p.MarkerFaceColor = p.Color;
xlim([0.5 5.5])
a = gca();
a.XTick = 1:5;
ylim([0 30])
set(gca,'TickLabelInterpreter','latex');


subplot(1,3,2);
p = plot(sinc.income_5, 100*sinc.MortShare);
xlabel('Income quintile',"FontSize",14,'Interpreter','latex')
ylabel('Percent',"FontSize",14,'Interpreter','latex')
p.Color = ColorPalette(1,:);
p.Marker = 'o';
p.MarkerFaceColor = p.Color;
ylim([0 30])
xlim([0.5 5.5])
set(gca,'XTick',1:5);
set(gca,'TickLabelInterpreter','latex');

subplot(1,3,3);
p = plot(sage.age, 100*sage.MortShare);
xlabel('Age',"FontSize",14,'Interpreter','latex')
ylabel('Percent',"FontSize",14,'Interpreter','latex')
p.Color = ColorPalette(1,:);
p.Marker = 'o';
p.MarkerFaceColor = p.Color;
ylim([0 30])
set(gca,'TickLabelInterpreter','latex');



set(gcf,'color','w')
set(gcf, 'PaperPositionMode', 'auto');
print('Plots/Fig1b','-depsc');