close all;
clear all;
clc;
addpath('aux_files')


FedColors;       


%% Decomposition of net worth figure
f = figure();
f.Position = [300 380 600 400];


hold on

% nms = {'wage', 'cash', 'equity', 'houses', 'bond', 'mortgage', 'creditcard', 'installment', 'business', 'interest'};
nms = {'wage',  'installment',  'mortgage', 'houses', 'equity'};
N = length(nms);

xdata = zeros(5,N+1);
cdata = zeros(5,N+1);
for i =1:N
    swlt = readtable(['Scratch/scatter_networth_c_' nms{i} '.csv']);
    nm = ['dc_' nms{i}];
    
    xdata(:,i) = swlt.networth_5;
    cdata(:,i) = swlt.(nm);
    assert(all(xdata(:,i) == xdata(:,1)))
end

% add credit cards to the installment category
swlt = readtable('Scratch/scatter_networth_c_creditcard.csv');
assert(all(swlt.networth_5 == xdata(:,1)))
cdata(:,2) = cdata(:,2) + swlt.dc_creditcard;
nms{2} = 'Other credit';

% create "other" category using total less sum of the others
swlt = readtable('Scratch/scatter_networth_c.csv');
xdata(:,N+1) = swlt.networth_5;
cdata(:,N+1) = swlt.dc - sum(cdata(:,1:N),2);
assert(all(xdata(:,N+1) == xdata(:,1)))
nms{N+1} = 'Other';

brs = bar(xdata(:,1),100*cdata, 'stacked');
box off
ylim([0 1.5])

ctr = 1;
for br = brs
    br.FaceColor = ColorPalette(ctr,:);
    ctr = ctr+1;
end


ax = gca();
ax.XTick = 1:5;

xlim([0.5 7])

xlabel('Quintile of net worth',"FontSize",14,'Interpreter','latex')
ylabel('Percent change in consumption',"FontSize",14,'Interpreter','latex')

set(gca,'TickLabelInterpreter','latex');
set(gca,'FontSize',14);
set(gcf,'color','w')
set(gcf, 'PaperPositionMode', 'auto');
print('Plots/Fig3Left','-depsc');


disp(nms)
