function [IRFs] = VAR_priv(y,NLags,nhorizons)
%VAR_priv compute the inner loop of the VAR script



T = size(y,1);
t = (1:T)';  % linear trend
t2 = t.^2;   % quadratic trend


% Create RHS matrix
X = [t t2 ones(T,1)];
for n = 1:NLags  
    X = [X lag(y,n)];
end

ny = size(y,2);
nx = size(X,2);

y = y(NLags+1:end,:);
X = X(NLags+1:end,:);


%% reduced form

[B,Sigma,Sxx,Res] = LS(y,X);  % LS routine from https://github.com/dake-li/lp_var_simul

%% Create a 1st order represetnation 
% y' = P * y + Q * eps, where eps are uncorrelated

S = chol(Sigma); % S'* S = Sigma
Q = S';

n = ny * NLags;
P = zeros(n,n);
P(1:ny,:) = B(4:end,:)'; % drop the coefficients on constant and trends;
if NLags > 1
    P(ny+1:end,:) = [eye(n-ny) zeros(n-ny,ny)];
end

%% IRFs

ysim = zeros(n,nhorizons+1);

ysim(1:ny,1) = Q * [1; zeros(ny-1,1)];

for t = 1:nhorizons
    ysim(:,t+1) = P * ysim(:,t);
end


IRFs = ysim(2:ny,:)';   

end

